# H4502_CTCompleteArg Class Reference

`#include <h4502.h>`

Inheritance diagram for H4502_CTCompleteArg:

List of all members.

## Public Types

enum | OptionalFields { e_basicCallInfoElements, e_redirectionInfo, e_argumentExtension }

## Public Member Functions

| H4502_CTCompleteArg (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

H4502_EndDesignation | m_endDesignation
H4501_EndpointAddress | m_redirectionNumber
H4501_H225InformationElement | m_basicCallInfoElements
PASN_BMPString | m_redirectionInfo
H4502_CallStatus | m_callStatus
H4502_CTCompleteArg_argumentExtension | m_argumentExtension

## Member Enumeration Documentation

enum H4502_CTCompleteArg::OptionalFields

Enumerator:

  e_basicCallInfoElements |
  e_redirectionInfo |
  e_argumentExtension |

## Constructor & Destructor Documentation

H4502_CTCompleteArg::H4502_CTCompleteArg | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H4502_CTCompleteArg::GetDataLength | ( |  | ) | const

PBoolean H4502_CTCompleteArg::Decode | ( | PASN_Stream & | strm | ) |

void H4502_CTCompleteArg::Encode | ( | PASN_Stream & | strm | ) | const

void H4502_CTCompleteArg::PrintOn | ( | ostream & | strm | ) | const

Comparison H4502_CTCompleteArg::Compare | ( | const PObject & | obj | ) | const

PObject* H4502_CTCompleteArg::Clone | ( |  | ) | const

## Member Data Documentation

H4502_EndDesignation H4502_CTCompleteArg::m_endDesignation

H4501_EndpointAddress H4502_CTCompleteArg::m_redirectionNumber

H4501_H225InformationElement H4502_CTCompleteArg::m_basicCallInfoElements

PASN_BMPString H4502_CTCompleteArg::m_redirectionInfo

H4502_CallStatus H4502_CTCompleteArg::m_callStatus

H4502_CTCompleteArg_argumentExtension H4502_CTCompleteArg::m_argumentExtension

The documentation for this class was generated from the following file:

- h4502.h